<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MmwDemo_dataPathCQ_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">MmwDemo_dataPathCQ_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Millimeter Wave Demo Data Path CQ configuration.  
 <a href="struct_mmw_demo__data_path_c_q__t.html#details">More...</a></p>

<p><code>#include &lt;/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr14xx/mmw/data_path.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a4810f5316b944d000901a296671db0de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4810f5316b944d000901a296671db0de"></a>
MmwDemo_AnaMonitorCfg *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__data_path_c_q__t.html#a4810f5316b944d000901a296671db0de">anaMonCfg</a></td></tr>
<tr class="memdesc:a4810f5316b944d000901a296671db0de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to the CQ Signal and image band monitor configuration. <br /></td></tr>
<tr class="separator:a4810f5316b944d000901a296671db0de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea465fbb361f4829631a1276caec614e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea465fbb361f4829631a1276caec614e"></a>
rlRxSatMonConf_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__data_path_c_q__t.html#aea465fbb361f4829631a1276caec614e">rxSatMonCfg</a></td></tr>
<tr class="memdesc:aea465fbb361f4829631a1276caec614e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to the CQ RX Saturation monitor configuration. <br /></td></tr>
<tr class="separator:aea465fbb361f4829631a1276caec614e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18ec9940f701f2a80d6fe66488e39a8d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a18ec9940f701f2a80d6fe66488e39a8d"></a>
rlSigImgMonConf_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__data_path_c_q__t.html#a18ec9940f701f2a80d6fe66488e39a8d">sigImgMonCfg</a></td></tr>
<tr class="memdesc:a18ec9940f701f2a80d6fe66488e39a8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to the CQ Signal and image band monitor configuration. <br /></td></tr>
<tr class="separator:a18ec9940f701f2a80d6fe66488e39a8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1de7341d4131ce8acfc0d49802f7e06d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1de7341d4131ce8acfc0d49802f7e06d"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__data_path_c_q__t.html#a1de7341d4131ce8acfc0d49802f7e06d">sigImgMonAddr</a></td></tr>
<tr class="memdesc:a1de7341d4131ce8acfc0d49802f7e06d"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ signal &amp; image band monitor buffer physical address. <br /></td></tr>
<tr class="separator:a1de7341d4131ce8acfc0d49802f7e06d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fbb094dbb04591c3790f6a4b6dbdbf4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6fbb094dbb04591c3790f6a4b6dbdbf4"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__data_path_c_q__t.html#a6fbb094dbb04591c3790f6a4b6dbdbf4">satMonAddr</a></td></tr>
<tr class="memdesc:a6fbb094dbb04591c3790f6a4b6dbdbf4"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ RX Saturation monitor buffer physical address. <br /></td></tr>
<tr class="separator:a6fbb094dbb04591c3790f6a4b6dbdbf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5b71735f48884bc897ae258e736147d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab5b71735f48884bc897ae258e736147d"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__data_path_c_q__t.html#ab5b71735f48884bc897ae258e736147d">sigImgMonTotalSize</a></td></tr>
<tr class="memdesc:ab5b71735f48884bc897ae258e736147d"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ signal &amp; image band monitor buffer size. <br /></td></tr>
<tr class="separator:ab5b71735f48884bc897ae258e736147d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2a5b2a74f841a0f7451667ec661749e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2a5b2a74f841a0f7451667ec661749e"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__data_path_c_q__t.html#ae2a5b2a74f841a0f7451667ec661749e">satMonTotalSize</a></td></tr>
<tr class="memdesc:ae2a5b2a74f841a0f7451667ec661749e"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ RX Saturation monitor buffer size. <br /></td></tr>
<tr class="separator:ae2a5b2a74f841a0f7451667ec661749e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad421776d63d92e09ef0c8790e033f50f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad421776d63d92e09ef0c8790e033f50f"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__data_path_c_q__t.html#ad421776d63d92e09ef0c8790e033f50f">sigImgBandEdmaCnt</a></td></tr>
<tr class="memdesc:ad421776d63d92e09ef0c8790e033f50f"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ RX signal &amp; image band monitor EDMA complete counter. <br /></td></tr>
<tr class="separator:ad421776d63d92e09ef0c8790e033f50f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8b610abb32f863dcce070a7eab4bba2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae8b610abb32f863dcce070a7eab4bba2"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__data_path_c_q__t.html#ae8b610abb32f863dcce070a7eab4bba2">rxSatEdmaCnt</a></td></tr>
<tr class="memdesc:ae8b610abb32f863dcce070a7eab4bba2"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ RX Saturation monitor EDMA complete counter. <br /></td></tr>
<tr class="separator:ae8b610abb32f863dcce070a7eab4bba2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed548b738eaf1275a3562da1106bcab7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed548b738eaf1275a3562da1106bcab7"></a>
rlRfRxSaturationCqData_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__data_path_c_q__t.html#aed548b738eaf1275a3562da1106bcab7">rxSatData</a></td></tr>
<tr class="memdesc:aed548b738eaf1275a3562da1106bcab7"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ RX Saturation monitor data. <br /></td></tr>
<tr class="separator:aed548b738eaf1275a3562da1106bcab7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9e57d6cb830d4bf351b9382fba09240"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9e57d6cb830d4bf351b9382fba09240"></a>
rlRfSigImgPowerCqData_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__data_path_c_q__t.html#aa9e57d6cb830d4bf351b9382fba09240">sigImgData</a></td></tr>
<tr class="memdesc:aa9e57d6cb830d4bf351b9382fba09240"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ signal &amp; image band monitor data. <br /></td></tr>
<tr class="separator:aa9e57d6cb830d4bf351b9382fba09240"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Millimeter Wave Demo Data Path CQ configuration. </p>
<p>The structure is used to hold all the relevant information for the data path CQ. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr14xx/mmw/<a class="el" href="data__path_8h.html">data_path.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
